<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="8" infoRejectCounter="0">
  <summary>
    <timer wall-clock="4.554s" wall="4.554" cpu="22.1086" calls="1"/>
    <!-- memory in MB-->
    <memory final="876.31" peak="876.31"/>
  </summary>
  <header id="">
    <environment started="2020-Mar-10 17:08:29" host="momo"/>
    <progOpts problem="interpretation_2x2x2" parameterFile="/home/bvu/code/cfs-test_group-stingl/PYTHON/matviz/interpretation_2x2x2/interpretation_2x2x2.xml" schemaPath="/home/bvu/code/group_stingl/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="18.03" name="AMGme" build="Release" git_commit="df28134574ff094481adaec9797cfc638274db40" git_branch="shared-opt-0714" exe="/home/bvu/code/group_stingl/release/bin/LINUX_X86_64/cfsbin"/>
      <openmp CFS_NUM_THREADS="1" MKL_NUM_THREADS="-" OMP_NUM_THREADS="-"/>
    </progOpts>
    <domain>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <grids>
        <grid gridId="default" dimensions="3" elements="50139" nodes="13385"/>
      </grids>
      <regions>
        <region name="mech" id="0" type="volume" regular="no" hom="yes" nodes="13385" elems="50139" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="top" count="48"/>
        <nodes name="bottom" count="48"/>
        <nodes name="left" count="48"/>
        <nodes name="right" count="48"/>
        <nodes name="front" count="48"/>
        <nodes name="back" count="48"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" step="0" t="0" t0="0"/>
    </domain>
    <update_results>
      <timer wall-clock="0s" wall="0" cpu="9.5e-05" calls="3"/>
    </update_results>
    <finish_step>
      <timer wall-clock="0.081s" wall="0.081" cpu="0.16263" calls="1"/>
    </finish_step>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator3D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="bottom" size="48" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="MechanicStiffnessTensor" value="1.3461538e+00 5.7692308e-01 5.7692308e-01 0.0000000e+00 0.0000000e+00 0.0000000e+00 
5.7692308e-01 1.3461538e+00 5.7692308e-01 0.0000000e+00 0.0000000e+00 0.0000000e+00 
5.7692308e-01 5.7692308e-01 1.3461538e+00 0.0000000e+00 0.0000000e+00 0.0000000e+00 
0.0000000e+00 0.0000000e+00 0.0000000e+00 3.8461538e-01 0.0000000e+00 0.0000000e+00 
0.0000000e+00 0.0000000e+00 0.0000000e+00 0.0000000e+00 3.8461538e-01 0.0000000e+00 
0.0000000e+00 0.0000000e+00 0.0000000e+00 0.0000000e+00 0.0000000e+00 3.8461538e-01
"/>
          <property name="Rayleigh_Alpha" value="0.05"/>
          <property name="Rayleigh_Beta" value="0.002"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Density" value="7872"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <summary>
          <writeResults>
            <timer wall-clock="0s" wall="0" cpu="3e-06" calls="1"/>
          </writeResults>
        </summary>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="top" dofs="x y z"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="40011" totalNumFreeEqns="40011" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="40011" lastFreeEqn="40011" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="40011" lastFreeIndex="40011"/>
          </sbmBlocks>
        </setup>
        <solver>
          <lis config=" -i 1  -p 3 -ssor_w 1  -maxiter 1000000 -tol 1e-12 -print none -initx_ones false -initx_zeros false" solver="CG" precond="ssor">
            <header maxIter="1000000" tolerance="1e-12" minimalTolerance="1e-08">
              <solver id="default">
                <CG/>
              </solver>
              <precond id="default">
                <ssor omega="1.0"/>
              </precond>
            </header>
            <summary>
              <setup>
                <timer label="setup_lis" wall-clock="0.006s" wall="0.006" cpu="0.037165" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_lis" wall-clock="1.932s" wall="1.932" cpu="15.4312" calls="1"/>
              </solve>
            </summary>
            <process>
              <solve timing="1.9316" residualNorm="9.3638e-13" iterations="1467"/>
            </process>
          </lis>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <setup>
                <timer wall-clock="0s" wall="0" cpu="3e-06" calls="1"/>
              </setup>
              <precond>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.253s" wall="0.253" cpu="0.254037" calls="2"/>
        </assemble>
      </summary>
    </analysis>
    <header>
      <graph_setup>
        <timer wall-clock="0.64s" wall="0.64" cpu="1.79974" calls="1"/>
      </graph_setup>
    </header>
  </sequenceStep>
  <optimization haltopt_file="/home/bvu/code/cfs-test_group-stingl/PYTHON/matviz/interpretation_2x2x2/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume" linear="no" filtered="yes" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0" regular="no">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall-clock="0.005s" wall="0.005" cpu="0.04892" calls="2" sub="true"/>
        </gradient_chain_rule>
        <filters use_mat_filt="yes"/>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables optimizationVariables="50139" modelVariables="50139" modelElements="50139">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <localElementCache org="1" shadow="0" mat_deriv="0" megabytes="55"/>
        <regions>
          <region name="mech" elements="50139" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <evaluate/>
    </header>
    <commit mode="each_forward" stride="1"/>
    <summary>
      <calcUKU>
        <timer label="calc_U1KU2" wall-clock="0.029s" wall="0.029" cpu="0.232627" calls="1" sub="true"/>
      </calcUKU>
      <eval_objective>
        <timer wall-clock="0s" wall="0" cpu="0.000439" calls="1"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0.07s" wall="0.07" cpu="0.56021" calls="1"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0.033s" wall="0.033" cpu="0.269314" calls="1"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0.005s" wall="0.005" cpu="0.042777" calls="1"/>
      </eval_grad_constraints>
    </summary>
    <optimizer>
      <summary>
        <evaluate>
          <timer wall-clock="0s" wall="0" cpu="5e-05" calls="3"/>
        </evaluate>
      </summary>
    </optimizer>
    <process>
      <iteration number="0" duration="4.452" compliance="105.425749056606" volume="0.5"/>
    </process>
  </optimization>
</cfsInfo>